Package Gnumed :: Package business :: Module gmPathLab :: Class cTestResult |
[frames] | no frames]

# Class cTestResult

source code

                                       object --+
                                                |
    pycommon.gmBusinessDBObject.cBusinessDBObject --+
                                                    |
                                                   cTestResult

Represents one test result.

Instance Methods
format_concisely(self, date_format='%Y %b %d', with_notes=True) | source code
format(self, with_review=True, with_evaluation=True, with_ranges=True, with_episode=True, with_type_details=True, with_source_data=False, date_format='%Y %b %d %H:%M') | source code
set_review(self, technically_abnormal=None, clinically_relevant=None, comment=None, make_me_responsible=False) | source code
get_adjacent_results(self, desired_earlier_results=1, desired_later_results=1, max_offset=None) | source code
Inherited from `pycommon.gmBusinessDBObject.cBusinessDBObject`: `__del__`, `__getitem__`, `__init__`, `__setitem__`, `__str__`, `fields_as_dict`, `get_fields`, `get_patient`, `get_updatable_fields`, `is_modified`, `refetch_payload`, `same_payload`, `save`, `save_payload`, `staff_id` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Class Variables
| has_normal_min_or_max = `property(_get_has_normal_min_or_max, l`...``
| normal_min_max = `property(_get_normal_min_max, lambda x: x)`
| formatted_normal_range = `property(_get_formatted_normal_range,`...``
| has_clinical_min_or_max = `property(_get_has_clinical_min_or_ma`...``
| clinical_min_max = `property(_get_clinical_min_max, lambda x: x)`
| formatted_clinical_range = `property(_get_formatted_clinical_ra`...``
| temporally_closest_normal_range = `property(_get_temporally_clo`...``
| formatted_range = `property(_get_formatted_range, lambda x: x)`
| test_type = `property(_get_test_type, lambda x: x)`
| is_considered_elevated = `property(_get_is_considered_elevated,`...``
| is_considered_lowered = `property(_get_is_considered_lowered, l`...``
| is_considered_abnormal = `property(_get_is_considered_abnormal,`...``
| reference_range = `property(lambda x: x, _set_reference_range)`
| formatted_abnormality_indicator = `property(_get_formatted_abno`...``
| is_long_text = `property(_get_is_long_text, lambda x: x)`
| estimate_numeric_value_from_alpha = `property(_get_estimate_num`...``

Properties
Inherited from `object`: `__class__`

Method Details

### format(self, with_review=True, with_evaluation=True, with_ranges=True, with_episode=True, with_type_details=True, with_source_data=False, date_format='%Y %b %d %H:%M') | source code
Overrides: pycommon.gmBusinessDBObject.cBusinessDBObject.format

Class Variable Details

  ### has_normal_min_or_max Value:
      property(_get_has_normal_min_or_max, lambda x: x)

  ### formatted_normal_range Value:
      property(_get_formatted_normal_range, lambda x: x)

  ### has_clinical_min_or_max Value:
      property(_get_has_clinical_min_or_max, lambda x: x)

  ### formatted_clinical_range Value:
      property(_get_formatted_clinical_range, lambda x: x)

  ### temporally_closest_normal_range Value:
      property(_get_temporally_closest_normal_range, lambda x: x)

  ### is_considered_elevated Value:
      property(_get_is_considered_elevated, lambda x: x)

  ### is_considered_lowered Value:
      property(_get_is_considered_lowered, lambda x: x)

  ### is_considered_abnormal Value:
      property(_get_is_considered_abnormal, lambda x: x)

  ### formatted_abnormality_indicator Value:
      property(_get_formatted_abnormality_indicator, lambda x: x)

  ### estimate_numeric_value_from_alpha Value:
      property(_get_estimate_numeric_value_from_alpha, lambda x: x)